<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~sequencing_confirm.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Confirm sequencing completed" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select sequencing run</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Sequencing run</td>
				<td class="input">
					<select class="required" name="seqRuns" id="seqRuns"></select>
				</td>
				<td class="status" id="seqRuns.status"></td>
				<td class="help">
					<span id="seqRuns.message" class="message"></span>
					Select the sequencing run that has ended.
				</td>
			</tr>
			<tbody class="info-section">
			<tr>
				<td class="prompt">Start date</td>
				<td class="info" id="startDate" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">End date</td>
				<td class="info" id="endDate" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Flow cell type</td>
				<td class="info" id="flowCellType" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Flow cell</td>
				<td class="info" id="flowCellInRun" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Pools</td>
				<td class="info" id="pools" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">LibPlate</td>
				<td class="info" id="libPlate" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Comments</td>
				<td class="info" id="comments" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt"></td>
				<td class="input">
					<base:buttongroup>
						<base:button id="btnCheck" title="Check data files&hellip;" image="<%=home+"/images/validate.png"%>" />
					</base:buttongroup>
				</td>
				<td class="status" id="check.status"></td>
				<td class="help">
					<span id="check.message" class="message"></span>
					Check that data from the sequencing run exists and seems reasonable.
				</td>
			</tr>
			</tbody>
			
			<tr>
				<td class="prompt">Outcome</td>
				<td class="input" colspan="2">
					<label><input type="radio" name="outcome" id="outcomeSuccess" value="Successful"  checked
						>Success</label> - continue with demux<br>
					<label><input type="radio" name="outcome" id="outcomeFailed" value="Failed"
						>Failure</label><br>
					<img src="../images/joinbottom.gif"><label><input type="checkbox" name="flagPools" value="1" disabled checked>Flag pools for re-clustering</label>
					
				</td>
				<td class="help">
					Select the <b>Failure</b> option if further analysis of the data is not possible.
					No child bioassay set will be created. Existing pooled libraries can optionally
					be flagged for re-clustering on a new flow cell.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title" id="step-2-title">SequencingRun</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr id="failedLanesRow">
				<td class="prompt">Failed lanes</td>
				<td class="input" id="failedLanes"></td>
				<td class="status" id="failedLanes.status"></td>
				<td class="help">
					<span id="failedLanes.message" class="message"></span>
					Mark the checkboxes for lanes that have failed and should not be included in the demux.
				</td>
			</tr>
			
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea name="sequencingComments" id="sequencingComments" rows="6"></textarea>
				</td>
				<td class="status" id="sequencingComments.status"></td>
				<td class="help">
					<span id="sequencingComments.message" class="message"></span>
					Comments about the sequencing.
				</td>
			</tr>
			</table>
		</div>
	</div>
		
		<div id="wizard-status"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>